import time
import logging
import verboselogs
import coloredlogs


# Install verbose logs
verboselogs.install()

# Create a logger object.
logger = logging.getLogger('Houston_Log')

# Install colored logs
coloredlogs.install(level='INFO',
                    logger=logger,
                    fmt='%(asctime)s,%(msecs)03d %(hostname)s %(levelname)s %(message)s')

logger.info('Lewis Companion Software Started.')
logger.success('Ready to robot!')

# Junk~
while True:
    try:
        logger.debug('Nothing to do.')
        time.sleep(1)
    except KeyboardInterrupt:
        break
